# Push-API

This package contains message definitions, routes and information specifying the interface to a [Push-Server](https://christophhagen.de/git/ch/Push-Server.git). The package is  used to implement both the client and the server using common definitions to ensure compatibility.

The package depends on [APNSwift](https://github.com/swift-server-community/APNSwift.git), which provides the definitions for push message contents and is used by the server to connect to the Apple Push Notification Service (APNs).

## Usage

Add the package dependency in your `Package.swift` file:
```swift
dependencies: [
    .package(url: "https://christophhagen.de/git/ch/Push-API.git", from: "0.4.0"),
],
```

Then import the module in your code:
```swift
import PushAPI
```
